Skip to navigation

Get URL to edit view UI

View as Markdown

Returns a URL that allows you to embed the edit view of the DocuSign UI in your applications. This is a one-time use login token that allows the user to be placed into the DocuSign editing view.

Upon sending completion, the user is returned to the return URL provided by the API application.

Important: iFrames should not be used for embedded operations on mobile devices due to screen space issues. For iOS devices DocuSign recommends using a WebView.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

Request

This endpoint expects an object: returnUrlRequest

returnUrlstringOptional

Your app’s return url that the user will be redirected to after sending the envelope or completing the sending/tagging view. Query parameters envelopeId and event will be added to the URL. The event parameter values:

  • Send (the user sent the envelope)
  • Save (the user saved the envelope, it is still a draft)
  • Cancel (the user canceled the sending transaction)
  • Error (there was an error during the send operation)
  • SessionEnd (the sending session ended before the user completed a different action)

Response

Successful response.
urlstringOptional
The view URL to be navigated to.

Errors

400
Bad Request Error